# 项目相关配置
ruoyi:
  # 名称
  name: ModernSky
  # 版本
  version: 4.6.1
  # 版权年份
  copyrightYear: 2021
  # 实例演示开关
  demoEnabled: false
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: /usr/local/var/www/uploadPath
  # 获取ip地址开关
  addressEnabled: false

#系统自定义配置
liquidnet:
  url-banner:
    url6: "/kylin/performances/recommend/performance/status?pageNum=1&pageSize=50&status=(3,6,7,8,9,10)" #票务
    url7: "${liquidnet.client.admin.phpMallUrl}/admin/goodListForQuick?page=1&per_page=50" #商品
    url14: "${liquidnet.client.admin.phpMallUrl}/admin/good/collective/quick?page=1&per_page=50" #商品集合

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为80
  port: ${liquidnet.info.port}
  servlet:
    # 应用的访问路径
    context-path: ${liquidnet.info.context}
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30

# 日志配置-------------------------------------------------------
logging:
  level:
    com.ruoyi: info
    org.springframework: warn
#logging:
#  #  config: ${liquidnet.logfile.config}
#  file:
#    name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}.log
#    max-size: 200MB
#  pattern:
#    file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{56}:%line] - %msg%n'
#    console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{56}:%line] - %msg%n'
#    rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
#  level:
#    root: info
#    #以下是为指定包设置日志级别
#    com:
#      liquidnet:
#        client:
#          admin: debug
#    org:
#      springframework: warn

# -----------------------------------------------------------

# 用户配置
user:
  password:
    # 密码错误{maxRetryCount}次锁定10分钟
    maxRetryCount: 5

# Spring配置
spring:
  application:
    name: liquidnet-client-admin-web
  # 模板引擎
  thymeleaf:
    mode: HTML
    encoding: utf-8
    # 禁用缓存
    cache: false
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: static/i18n/messages
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size:  10MB
      # 设置总上传的文件大小
      max-request-size:  20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: false
  data:
    mongodb:
      uri: mongodb://${liquidnet.mongodb.user}:${liquidnet.mongodb.pwd}@${liquidnet.mongodb.host}/?authSource=admin&maxPoolSize=200&waitQueueMultiple=100
      sslEnabled: ${liquidnet.mongodb.sslEnabled}
      database: ${liquidnet.mongodb.database}
  redis:
    kylin:
      database: 15
      dbs: ${liquidnet.redis.kylin.dbs}
      port: ${liquidnet.redis.kylin.port}
      host: ${liquidnet.redis.kylin.host}
      password: ${liquidnet.redis.kylin.password}
      lettuce:
        pool:
          max-active: 8
          max-wait: -1
          max-idle: 8
          min-idle: 0
    dragon:
      database: 15
      dbs: ${liquidnet.redis.dragon.dbs}
      port: ${liquidnet.redis.dragon.port}
      host: ${liquidnet.redis.dragon.host}
      password: ${liquidnet.redis.dragon.password}
      lettuce:
        pool:
          max-active: 8
          max-wait: -1
          max-idle: 8
          min-idle: 0
    sweet:
      database: 15
      dbs: ${liquidnet.redis.sweet.dbs}
      port: ${liquidnet.redis.sweet.port}
      host: ${liquidnet.redis.sweet.host}
      password: ${liquidnet.redis.sweet.password}
      lettuce:
        pool:
          max-active: 8
          max-wait: -1
          max-idle: 8
          min-idle: 0
    adam:
      database: 15
      dbs: ${liquidnet.redis.adam.dbs}
      port: ${liquidnet.redis.adam.port}
      host: ${liquidnet.redis.adam.host}
      password: ${liquidnet.redis.adam.password}
      lettuce:
        pool:
          max-active: 8
          max-wait: -1
          max-idle: 8
          min-idle: 0
    candy:
      database: 15
      dbs: ${liquidnet.redis.candy.dbs}
      port: ${liquidnet.redis.candy.port}
      host: ${liquidnet.redis.candy.host}
      password: ${liquidnet.redis.candy.password}
      lettuce:
        pool:
          max-active: 8
          max-wait: -1
          max-idle: 8
          min-idle: 0
    goblin:
      database: 15
      dbs: ${liquidnet.redis.goblin.dbs}
      port: ${liquidnet.redis.goblin.port}
      host: ${liquidnet.redis.goblin.host}
      password: ${liquidnet.redis.goblin.password}
      lettuce:
        pool:
          max-active: 8
          max-wait: -1
          max-idle: 8
          min-idle: 0
# MyBatis
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.liquidnet.service.kylin.**.entity,com.liquidnet.client.admin.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml,classpath*:com.liquidnet.service.*.mapper/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql

# Shiro
shiro:
  user:
    # 登录地址
    loginUrl: /login
    # 权限认证失败地址
    unauthorizedUrl: /unauth
    # 首页地址
    indexUrl: /index
    # 验证码开关
    captchaEnabled: false
    # 验证码类型 math 数组计算 char 字符
    captchaType: math
  cookie:
    # 设置Cookie的域名 默认空，即当前访问的域名
    domain:
    # 设置cookie的有效访问路径
    path: /
    # 设置HttpOnly属性
    httpOnly: true
    # 设置Cookie的过期时间，天为单位
    maxAge: 30
  session:
    # Session超时时间，-1代表永不过期（默认30分钟）
    expireTime: 30
    # 同步session到数据库的周期（默认1分钟）
    dbSyncPeriod: 1
    # 相隔多久检查一次session的有效性，默认就是10分钟
    validationInterval: 10
    # 同一个用户最大会话数，比如2的意思是同一个账号允许最多同时两个人登录（默认-1不限制）
    maxSession: -1
    # 踢出之前登录的/之后登录的用户，默认踢出之前登录的用户
    kickoutAfter: false

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
